GraphicsMagick

- Home
- Project
- Download
- Install
- Source
- News
- Utilities
- Programming
- Reference

# montage

Create a thumbnail image mosaic

# CloneMontageInfo

## Synopsis

    MontageInfo *CloneMontageInfo( const ImageInfo *image_info,
                                   const MontageInfo *montage_info );

## Description

CloneMontageInfo() makes a copy of the given montage info structure. If NULL is specified, a new image info structure is created initialized to default values.

The format of the CloneMontageInfo method is:

    MontageInfo *CloneMontageInfo( const ImageInfo *image_info,
                                   const MontageInfo *montage_info );

image_info:

  The image info.

montage_info:

  The montage info.

# DestroyMontageInfo

## Synopsis

    void DestroyMontageInfo( MontageInfo *montage_info );

## Description

DestroyMontageInfo() deallocates memory associated with montage_info.

The format of the DestroyMontageInfo method is:

    void DestroyMontageInfo( MontageInfo *montage_info );

A description of each parameter follows:

montage_info:

  Specifies a pointer to an MontageInfo structure.

# GetMontageInfo

## Synopsis

    void GetMontageInfo( const ImageInfo *image_info, MontageInfo *montage_info );

## Description

GetMontageInfo() initializes montage_info to default values.

The format of the GetMontageInfo method is:

    void GetMontageInfo( const ImageInfo *image_info, MontageInfo *montage_info );

image_info:

  a structure of type ImageInfo.

montage_info:

  Specifies a pointer to a MontageInfo structure.

# MontageImages

## Synopsis

    Image *MontageImages( const Image *images, const MontageInfo *montage_info,
                          ExceptionInfo *exception );

## Description

Montageimages() is a layout manager that lets you tile one or more thumbnails across an image canvas.

The format of the MontageImages method is:

    Image *MontageImages( const Image *images, const MontageInfo *montage_info,
                          ExceptionInfo *exception );

images:

  Specifies a pointer to an array of Image structures.

montage_info:

  Specifies a pointer to a MontageInfo structure.

exception:

  Return any errors or warnings in this structure.

Copyright © GraphicsMagick Group 2002-2025